package controler;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JList;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import model.Alarm;
import view.AlarmListFrame;

public class AlarmListListener
implements ListSelectionListener, MouseListener {
	private AlarmListFrame frame;
	private Controler controler;
	public AlarmListListener(AlarmListFrame f, Controler c) {
		frame = f;
		controler = c;
	}
	public void valueChanged(ListSelectionEvent e) {
		frame.editorForSelection();
	}
	public void mouseClicked(MouseEvent e) {		
        @SuppressWarnings("unchecked")
		JList<Alarm> al = (JList<Alarm>)e.getSource();
        if (e.getClickCount() == 2) {
          int index = al.locationToIndex(e.getPoint());
          if (index >= 0) {
            controler.viewAlarm((Alarm)al.getModel().getElementAt(index));
          }
        }
	}
	public void mousePressed(MouseEvent e)  { }
	public void mouseReleased(MouseEvent e) { }
	public void mouseEntered(MouseEvent e)  { }
	public void mouseExited(MouseEvent e)   { }
}
