package controler;

import java.awt.Color;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JTextField;

import model.Time;

public class TimeControler implements KeyListener {
	private Color goodColor = Color.WHITE;
	private Color badColor = new Color(255, 200, 200);
	private JTextField textField;
	public TimeControler(JTextField tf) {
		textField = tf;
	}
	private void controlText() {
		if (Time.isCorrect(textField.getText())) {
			textField.setBackground(goodColor);
		} else {
			textField.setBackground(badColor);
		}
	}
	public void keyTyped(KeyEvent e) {
	}
	public void keyPressed(KeyEvent e) {
	}
	public void keyReleased(KeyEvent e) {
		controlText();
	}
}
