package model;

import java.io.PrintWriter;

public class SaveText implements Operation {
	private PrintWriter w;
	public SaveText(PrintWriter w) {
		this.w = w;
	}
	public void doItOn(AlarmList l) throws Exception {
		for(Alarm a : l) { doItOn(a); }
	}
	public void doItOn(Alarm a) throws Exception {
		doItOn(a.getTime());
		w.print('\t');
		w.print(a.getName());
		w.print('\t');
		w.print((a.isEnabled()) ? "active" : "inactive");
		w.println();
	}
	public void doItOn(Time t) throws Exception {
		w.print(t);
	}
}
