package model;

import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;

public class Load {
	private AlarmList alarms;
	public Load(AlarmList l) {
		alarms = l;
	}
	public boolean loadFrom(File f) {
		alarms.clear();
		try (DataInputStream s = new DataInputStream(new FileInputStream(f))) {
			Operation op;
			switch (s.readByte()) {
				case 1 : op = new LoadBinaryV1(s); break;
				case 2 : op = new LoadBinaryV2(s); break;
				default: return false;
			}
			alarms.performs(op);
		} catch (Exception e) {
			return false;
		}
		return true;
	}
}
