package model;

import java.io.DataInputStream;

public class LoadBinaryV2 implements Operation {
	private DataInputStream s;
	public LoadBinaryV2(DataInputStream s) {
		this.s = s;
	}
	public void doItOn(AlarmList l) throws Exception {
		int n = s.readInt();
		for(int i = 0; i < n; i++) {
			Alarm a = new Alarm();
			doItOn(a);
			l.add(a);
		}
	}
	public void doItOn(Alarm a) throws Exception {
		Time time = new Time();
		doItOn(time);
		a.setTime(time);
		a.setName(s.readUTF());
		if (!s.readBoolean()) a.setDisabled();
	}
	public void doItOn(Time t) throws Exception {
		t.h = s.readByte();
		t.m = s.readByte();
	}
}
