package model;

import java.io.PrintWriter;

public class SaveFactory {
	public static Operation saveForType(FileType t, PrintWriter w) {
		switch (t) {
			case TEXT   : return new SaveText(w);
			case XML    : return new SaveXML(w);
			case JSON   : return new SaveJSON(w);
			default     : return null;
		}
	}
}
