package view;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Font;
import java.awt.FlowLayout;
import javax.swing.JDialog;
import javax.swing.JLabel;

import app.Alerte;

@SuppressWarnings("serial")
public class AboutDialog extends JDialog {
	private static AboutDialog uniqueInstance = null;
    private AboutDialog() {
        super((Frame)null, "A propos de Alerte", false);
        JLabel etiq;
        Dimension dim = new Dimension(400,30);
        setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
        setSize(400,150); setResizable(false);
        setLayout(new FlowLayout());
        etiq = new JLabel("Application de gestion d'alarmes", JLabel.CENTER);
        etiq.setFont(new Font("Arial", Font.BOLD, 20));
        etiq.setPreferredSize(dim);
        add(etiq);
        etiq = new JLabel("par Philippe", JLabel.CENTER);
        etiq.setFont(new Font("Times", Font.PLAIN, 18));
        etiq.setPreferredSize(dim); etiq.setSize(dim);
        add(etiq);
        etiq = new JLabel(Alerte.APP_VERSION, JLabel.CENTER);
        etiq.setFont(new Font("Courier New", Font.ITALIC, 16));
        etiq.setPreferredSize(dim); etiq.setSize(dim);
        add(etiq);
    }
    public static AboutDialog getInstance() {
    	if (uniqueInstance == null)
    		uniqueInstance = new AboutDialog();
    	return uniqueInstance;
    }
    public void display() {
    	setVisible(true);
    }
}
